TULISAN - Feature #3558

Skenario Pre Order
04/11/2025 03:39 PM - haykal haykal

Status: Closed Start date: 04/11/2025
Priority: Urgent Due date: 04/15/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Developer,
Untk Skenario Pre Order Tulisan dibutuhkan beberapa development di CRM dan di backend.

Untk di CRM sesuai dengan yang telah dibilang oleh Bapak, yg di Foto 1 ini tetap diberikan Warning. Namun user tetap bisa lanjut
add to Basket meskipun Stocknya 0. Nanti di page setelah Proceed To Basket (Foto 2) ingin ditambahkan button Save PreOrder.
Setelah user klik button Save PreOrder nanti lanjut dan pagenya tetap sama seperti yg page Checkout biasa, user mengisi data
payment dan lain-lain, dan nanti setelah Submit Order akan otomatis terbentuk dokumen PreOrder.

Untk di backend, selain otomatis membentuk dokumen PreOrder, otomatis juga membentuk jurnal Accounting. Dengan Amount yang
dibayarkan Customer nanti dicatatnya sebagai Deposit (GLAccount 2-104 Uang Muka Diterima) di Credit dan akun Cash di Debit.

Lalu nanti ketika si barang PreOrder ini sudah punya stock dan siap untk dikirim ke Customer. Maka user akan membuat dokumen
Sales Order dengan melakukan doc ref dari dokumen PreOrder yang telah dibuat. Nanti setelah dokumen Sales Order ini disave
akan otomatis membentuk dokumen Goods Issue to Customer dan memotong stock untk barang tersebut; dan juga akan otomatis
membentuk jurnal penjualan (Debit Deposit | Credit Penjualan).

Note: Di CRM transaksi untk barang yg PreOrder dan bukan PreOrder tidak bisa dilakukan bersamaan
Kalau ada yang ingin ditanyakan boleh tanya saya atau Bapak ya...

MenulD: PREORDER
DocType: PREOD

Menu Path: Logistic & Service > Sales Management > Pre Order

Port: https://tulisan-dev.minovais.com/

Web: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Dashboard
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 04/11/2025 04:35 PM - Kezia Pawitra Yulianti
- Due date set to 04/15/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 04/14/2025 05:57 PM - shofwan shiddiq

- File clipboard-202504141743-3gctw.png added
- File clipboard-202504141744-2c6er.png added

- File clipboard-202504141744-oziha.png added

- File clipboard-202504141745-buic1.png added

- File clipboard-202504141748-fh6vm.png added
- File clipboard-202504141756-mvmzy.png added
- File clipboard-202504141756-59a5e.png added
- Status changed from Assigned to QA Test
https://tulisan-dev.minovais.com/
https://tulisan-ecommerce-dev.minovais.com/ECommerce_Dashboard

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, untuk skenario pemesanan pre-order sudah dapat dilakukan ya

Peruabahan
1. Saat menambahkan barang ke basket akan melakukan check stock, apabila stock tidak mencukupi maka akan timbul warning bahwa stock tidak
cukup dan hanya bisa dilakukan untuk pre-order

Stock Unavailable

This item is out of stock in the
selected warehouse. Would

you like to proceed and pre-

order?

Yes, Pre-Order

2. Di basket tertera item mana yang stok nya ada, dan mana yang stok nya tidak ada
Puisi Tote
Rp. 400,000,

Edition 2410
Size All
Color Nero Indigo

*Stock not enough

o -

Puisi Tote

Rp. 400,000,

Edition 2410
Size All
Color Green Rumor

o -

Total Price
Rp. 800,000,-

Checkout

Pre Order

3. Di menu basket, tertambah button baru pre-order

4. Apabila user mencoba checkout barang yang stok nya tidak ada, maka akan muncul warning stock tidak mencukupi
Stock Issue

One or more selected items
are out of stock. Please review
your basket.

 J
5. Apabila user mencoba Pre-Order tidak akan ada validasi jumlah stok seperti navigasi ke menu checkout

6. Menu Pre Order
&~

ID Pembeli
Marma Pembeli

Pre Order

Puisi Tote
Rp. 400,000,-

Edition 2410
Size All
Color Nero Indigo

-~

| Select Discount

00000007
Hania

o -

Puisi Tote
Rp. 400,000~

Edition 2410
Size All
Color Green Rumor

| Select Discount

®1+

Total Price

Rp. 800,000;-

7. Sukses Submit Pre-Order
Order Submitted

Document Number: 00000483
Customer: Hania

8.di ES
@ (202)Wha X & Confirmed X Webmail x Minova ES X Feature #°= X Minova x 1 Inbox (920 X Stockpre- X ¥ Downloac X @ Go2Muh: X% aF a X

c 25 tulisan-dev.minovais.com, b g 3 (2]

Netflix 1 Inbox (6,750) - shof.. ~ J§ Extensions m HBO GO. It's HBO.... @ [ All Bookmarks

= Financial Accounting Logistic & Service  Dashboard  System Administration Search Q  Help I Minovais -
Document Header -
@ Financial Accountin, .
9 Document Number. 00000483 Notes: Testing Submit Pre Order
dari CRM
Gompany ID: PT Tulisan
B Master Data
Document Date: 14/04/2025 Process ID: 00022395
Document Status: Closed Deliver To: Hania
Sales Return
Document Type: Pre Order
Pre Order
Outlet: ProcessStatus:
B Sales Report Toko DS Open
o Shipping Add 3
B Purchasing 'pping ress Ruko Northridge Blok B2 N
& Inventory Document ; iriman: Shipping Method:
Biaya Pengiriman: 2000.00 ipping Method: FedEx
@ Reporting
Customer ID: . Payment Type:
Hania Bank Transfer
B Dashboard
Payment ID:
M System Administration Mandin - 095
ini P, t Al t:
Beban Administrasi 000 ayment Amoun 563000.00
Bank: .
Payment Type 2:
Payment ID 2:
Payment Amount 2: 0.00
Tanggal Pembayaran: 14/04/2025
Nama Pengirim v

5:56 PM

[ 1] . [ | 4
BB Q search 3 . § 4 G = 44205

Silahkan di testing sendiri skenario nya

e Untuk mengetes jangan lupa refresh semua page nya dari page detail, basket, pre-order.

#3 - 04/15/2025 11:01 AM - haykal haykal
- File Foto1 Validasi Stock.png added

- File Foto 2 Pop Up Guest.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Wan, kalo bisa setelah klik button Checkout tapi stocknya ada yg gakada yang muncul langsung pop up validasi dulu ya (Foto 1) sebelum yg pop up
Guest (Foto 2)

Terimakasih.

#4 - 04/15/2025 11:40 AM - shofwan shiddiq
- File clipboard-202504151140-syon0.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Done yah, validasi nya di pindahkan saat pertama kali klik popup checkout.
Stock Issue

One or more selected items
are out of stock. Please review
your basket.

e Refresh dulu page basket nya saat klik button checkout

#5 - 04/15/2025 01:54 PM - haykal haykal

- File Pre Order Total Price 0.png added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddig
Ok Wan, yg masalah popup validasi udh Ok.

Cuma ada problem setelah dia klik button Pre Order. Setelah dia klik button Pre Order 'kan dia langsung ke page Checkout.

Tapi di page Checkoutnya dia Total Pricenya 0 Wan (foto diattach). Harusnya tidak. Harusnya muncul harganya sesuai harga barang. Karena di Pre
Order ini dia tetap melakukan payment.

Tolong diperbaiki ya.

Terimakasih.

#6 - 04/15/2025 02:39 PM - shofwan shiddiq
- File clipboard-202504151439-u9yw5.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Done yah

Tambahkan Notes

Alt...at Pengiriman

Tambahkan Alamat Pengiriman... (Gptional)

Metode Pengiriman

None W

Biaya Pengiriman

Input Biaya Pengiriman

Total Pesanan 1Produk

Metode Pembayaran
None

Add Another Method

Rincian Pemesanan

Subtotal untuk produk Rp. 600,000,-
Diskan (rp.0,-)
Biaya Pengiriman Rp.0,-

Total Pembayaran Rp. 600,000,-

Total Price

Rp. 600,000,

#7 - 04/16/2025 01:30 PM - haykal haykal
- Status changed from QA Test to Assigned
- Assignee changed from haykal haykal to Tri Rizqgiaty

Udh Ok Wan.
Berarti tinggal dari Mbak Yomma ya untk backendnya kl masih ada yg perlu dikerjain.

Terimakasih.

#8 - 04/21/2025 10:14 AM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to haykal haykal

Haykal tolong lengkapi dulu settingan DocRef dr PREO ke SORD, PREO ke document finance.
Dan juga contoh jurnal PREO, lengkap dengan contoh & penjelasan angka2nya didpt dr field apa di tbl apa.

#9 - 04/21/2025 03:09 PM - haykal haykal

- File Contoh Jurnal PreOrd.xlIsx added

- Assignee changed from haykal haykal to Tri Rizqiaty

Untk settingan DocRef PREOD udh aku lengkapi ya...

Untk jurnal PreOrdernya ternyata simple aja Mbak. Cukup dua baris saja seperti di file yang saya attach ini.
Terimakasih.

#10 - 04/22/2025 10:15 AM - Tri Rizqgiaty
- Assignee changed from Tri Rizqiaty to haykal haykal

Kode akun debetnya apa? Trs apakah ambil dr paymentamount & paymentamount2 klo ada 2 pembayaran, atau langsung di totalin aja?

#11 - 04/22/2025 03:46 PM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqiaty

Untk kode akun debetnya menyesuaikan dengan metode pembayaran yg user lakukan di CRM untk transaksi Pre Order Mbak. 'Kan udh aku
mapping tuh di tabel PFILOINTEGRATE.

Kalau ada 2 pembayaran berarti dibikin 2 row Mbak untk bagian Debitnya (dengan 2 GLAccount berbeda).
Terimakasih.
#12 - 04/22/2025 04:10 PM - Tri Rizqiaty

- File clipboard-202504221609-g6608.png added
- Assignee changed from Tri Rizqiaty to haykal haykal

Baru ada ini mappingannya, tolong dimapping Ig berdasarkan doctyperefnya. (ini br contoh)

vmwindows-minov... PTRSALESHEADER vmwindows-minov...dbo.PMDMATO004 vmwindows-mino...  TRMATERIALHEAD vmwindows-minov....PTRFINANCEITEM vmwindows-minov...c.PFILOINTEGRATE + X.
Column Alias Table Outp... Sort Type Sort Order Filter Or.. Or.. Or..
TransType PFILOINTE...
» DocType PFILOINTE... [ ]
FinDocType PFILOINTE...
Seq PFILOINTE...
Account PFILOINTE...
DebitCredit PFILOINTE...
TableRef PFILOINTE...
Figure PFILOINTE...
TransType DocType FinDocType Seq Account DebitCredit TableRef Figure PaymentType Payment|D CreateB CreateDate ChangeBy
L3 _SLS PREOD AR 300 4-104 D PTRSALESHEAD... TotalAmount 00 MNULL tri Il 20250415105050  tri
5L PREOD AR 310 2-104 C PTRSALESHEAD... TotzlAmount 00 MNULL tri 20250415105050  tni
5L SORD AR 1 1-102101 o] PTRSALESHEAD... PaymentAmount 01 001 tri 20250219150909  tri
5LS SORD AR 2 1-102101 o] PTRSALESHEAD... PaymentAmount 01 002 tri 20250219150909  tri
5L SORD AR 3 1-102101 D PTRSALESHEAD... PaymentAmount 01 003 tri 20250219150909  tri
5L SORD AR 4 1-1021 D PTRSALESHEAD... PaymentAmount 01 004 tri 20250219150909 i
5LS SORD AR 5 1-102102 D PTRSALESHEAD... PaymentAmount 02 005 tri 20250219150909  tri
5LS SORD AR & 1-102102 o] PTRSALESHEAD... PaymentAmount 02 006 tri 20250219150909  tri
5L SORD AR 7 1-102102 D PTRSALESHEAD... PaymentAmount 02 007 tri 20250219150909 i
5L SORD AR g 1-1021 D PTRSALESHEAD... PaymentAmount 02 008 tri 20250219150909  tri
5L SORD AR 9 1-102103 o] PTRSALESHEAD... PaymentAmount 03 009 tri 20250219150909  tri
5L SORD AR 10 1-102103 D PTRSALESHEAD... PaymentAmount 03 010 tri 20250219150909  tri
5L SORD AR n 1-102103 D PTRSALESHEAD... PaymentAmeount 03 o1 tri 20250219150909 i
5L SORD AR 12 1-1021 o] PTRSALESHEAD... PaymentAmount 03 012 tri 20250219150909  tri
< >

#13 - 04/22/2025 05:22 PM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqiaty

Sudah aku mapping ya Mbak utk DocType PREOD.
Terimakasih.

#14 - 04/23/2025 10:55 AM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to haykal haykal

Minta tolong dibuatin contoh jurnal(dengan kode akun) ketika SORD ref ke PREOD, jika ada tambahan biaya ongkir di SORD.
Sekalian sama contoh simulasi pembayaran dokumen SORD dr PREOD.

#15 - 05/02/2025 02:42 PM - haykal haykal
- File Jurnal PreOrder dan Sales (with Shipping Cost).xlsx added
- Assignee changed from haykal haykal to Tri Rizqiaty

Ini ya Mbak contoh jurnalnya. Untk contoh simulasi dokumen pembayarannya blm ya Mbak, soalnya saat ini aku coba saving lagi error dan yang Tax
masih dibenerin Shofwan juga.

Terimakasih.

#16 - 05/05/2025 03:19 PM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to haykal haykal

Ini di document preorder, tdk ada bebadadminbank?
Jika ada, tlg dibuatkan Ig contoh jurnalnya.
Thanks

#17 - 05/06/2025 05:20 PM - haykal haykal
- File Jurnal PreOrder dan Jurnal Sales (with Shipping Cost and Beban Administrasi Bank).xIsx added
- Assignee changed from haykal haykal to Tri Rizqiaty

Mbak Yomma, berikut ya contoh jurnalnya aku attach kl misalnya ada Beban Administrasi Bank.
Untk contoh simulasi dokumen SORD yang mengeref dari PREOD nya juga sudah aku buat.

DocNo PREOD: 00000691
DocNo SORD: 00000692

Terimakasih.

#18 - 05/07/2025 05:42 PM - Tri Rizqiaty
- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Fixing :

1. Add field TotalNet & TotalNetTax di tbl salesheader

2. Add doctype SORDPREOD di tbl integrate

3. Add docfield & docrefitem untuk TotalNet & TotalNetTax

3. Update folder API2/bin : MinovalS.MinovaES.Business.Logistic.dll

#19 - 05/09/2025 02:55 PM - haykal haykal

- File Jurnal PreOrder DocNo AR 00000644 masih salah.png added
- File Jurnal PreOrder dan Sales (with Shipping Cost).xlsx added

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqgiaty

Dear Mbak Yomma,

Aku test untk jurnal PreOrder nya masih salah ya. Tadi aku test DocNo AR 00000644 (foto diattach) jurnalnya blm balance dan nilai pada akun
2-10204 Utang Pajak - PPN dan 2-104 Uang Muka Diterima masih salah.

Harusnya seperti di Jurnal PreOrder yang filenya aku attach ini.

DocNo PREOD: 00000721
Tolong diperbaiki ya.
Terimakasih.
#20 - 05/13/2025 03:55 PM - Tri Rizqiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Tlg test Ig di Ul ES dengan contoh yg sama.
Tadi sdh coba buat contoh dengn SLS : 00000727, FIN : 00000649.

Jika di Ul ES sdh bnr, berarti ada salah perhitungan totaltax di CRM.

#21 - 05/13/2025 05:36 PM - haykal haykal
- File Jurnal PreOrder DocNo AR 00000644 masih salah.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq
Dear Shofwan,

Dokumen dan jurnal PreOrder yg tergenerate dari CRM:

DocNo PREOD: 00000721
DocNo AR: 00000644

Dokumen dan jurnal PreOrder yg dibikin di Ul ES:

DocNo PREOD: 00000737
DocNo AR: 00000652

Kalau dari hasil test saving di Ul ES hasil jurnalnya sudah benar Wan. Namun yg hasil saving dari CRM jurnalnya masih salah. Bisa dilihat (foto

diattach) jurnalnya bim balance dan nilai GLAccount 2-10204 Utang Pajak - PPN dan 2-104 Uang Muka Diterima masih salah.

Kata Mbak Yomma kemungkinan ada kesalahan perhitungan TotalTax dari CRM.

Tolong diperbaiki ya.
Terimkasih.
#22 - 05/19/2025 04:15 PM - shofwan shiddiq

- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Ini terjadi karena di menu pre order belum menginput net shipping cost, seperti yang ada di Sales Order. saat ini sudah di samakan dan sudah

terupdate Net Shipping Cost nya apabila create preorder.

Sample Document Pre-Order DocNo = 00000808

#23 - 05/20/2025 10:57 AM - haykal haykal
- Status changed from QA Test to Closed

Files

Foto 1 Warning.png

Foto 2 Button Save Preorder.png
clipboard-202504141743-3gctw.png
clipboard-202504141744-2c6er.png
clipboard-202504141744-oziha.png
clipboard-202504141745-buic1.png
clipboard-202504141748-fh6vm.png
clipboard-202504141756-mvmzy.png
clipboard-202504141756-59a5e.png
Foto1 Validasi Stock.png

Foto 2 Pop Up Guest.png
70.6 KB
28.5 KB
110 KB
67.2 KB
52.4 KB
70.4 KB
61.5 KB
52.9 KB
220 KB
20.3 KB
21.5KB

04/11/2025
04/11/2025
04/14/2025
04/14/2025
04/14/2025
04/14/2025
04/14/2025
04/14/2025
04/14/2025
04/15/2025
04/15/2025

haykal haykal
haykal haykal
shofwan shiddiq
shofwan shiddiq
shofwan shiddiq
shofwan shiddiq
shofwan shiddiq
shofwan shiddiq
shofwan shiddiq
haykal haykal
haykal haykal
clipboard-202504151140-syon0.png 43.3 KB 04/15/2025
Pre Order Total Price 0.png 28.5 KB 04/15/2025
clipboard-202504151439-u9yw5.png 53.3 KB 04/15/2025
Contoh Jurnal PreOrd.xIsx 9.18 KB 04/21/2025
clipboard-202504221609-g6608.png 82.1 KB 04/22/2025
Jurnal PreOrder dan Sales (with Shipping Cost).xIsx 11.4 KB 05/02/2025
Jurnal PreOrder dan Jurnal Sales (with Shipping Cost and Beban Admitiistr& Bank).xI£6/06/2025
Jurnal PreOrder DocNo AR 00000644 masih salah.png 20.9 KB 05/09/2025
Jurnal PreOrder dan Sales (with Shipping Cost).xlsx 11.4 KB 05/09/2025
Jurnal PreOrder DocNo AR 00000644 masih salah.png 20.9 KB 05/13/2025
shofwan shiddiq
haykal haykal
shofwan shiddiq
haykal haykal
Tri Rizgiaty
haykal haykal
haykal haykal
haykal haykal
haykal haykal
haykal haykal
